<?xml version="1.0" ?>
<coverage branch-rate="0.9767" branches-covered="84" branches-valid="86" complexity="0" line-rate="1" lines-covered="217" lines-valid="217" timestamp="1608508804998" version="4.5.2">
	<!-- Generated by coverage.py: https://coverage.readthedocs.io -->
	<!-- Based on https://raw.githubusercontent.com/cobertura/web/master/htdocs/xml/coverage-04.dtd -->
	<sources/>
	<packages>
		<package branch-rate="0.9767" complexity="0" line-rate="1" name=".user_data.data.dirk.prj.unittest.stringtools.pylibs.stringtools">
			<classes>
				<class branch-rate="0.9375" complexity="0" filename="/user_data/data/dirk/prj/unittest/stringtools/pylibs/stringtools/__init__.py" line-rate="1" name="__init__.py">
					<methods/>
					<lines>
						<line hits="1" number="4"/>
						<line hits="1" number="32"/>
						<line hits="1" number="33"/>
						<line hits="1" number="34"/>
						<line hits="1" number="36"/>
						<line hits="1" number="37"/>
						<line hits="1" number="38"/>
						<line hits="1" number="39"/>
						<line hits="1" number="40"/>
						<line branch="true" condition-coverage="100% (2/2)" hits="1" number="41"/>
						<line hits="1" number="42"/>
						<line hits="1" number="44"/>
						<line hits="1" number="45"/>
						<line hits="1" number="46"/>
						<line hits="1" number="47"/>
						<line hits="1" number="48"/>
						<line hits="1" number="50"/>
						<line hits="1" number="53"/>
						<line hits="1" number="56"/>
						<line hits="1" number="63"/>
						<line hits="1" number="64"/>
						<line hits="1" number="76"/>
						<line branch="true" condition-coverage="100% (2/2)" hits="1" number="77"/>
						<line branch="true" condition-coverage="100% (2/2)" hits="1" number="78"/>
						<line hits="1" number="79"/>
						<line hits="1" number="80"/>
						<line hits="1" number="82"/>
						<line hits="1" number="83"/>
						<line branch="true" condition-coverage="100% (2/2)" hits="1" number="84"/>
						<line hits="1" number="85"/>
						<line hits="1" number="87"/>
						<line branch="true" condition-coverage="100% (2/2)" hits="1" number="89"/>
						<line hits="1" number="90"/>
						<line hits="1" number="92"/>
						<line branch="true" condition-coverage="100% (2/2)" hits="1" number="93"/>
						<line hits="1" number="94"/>
						<line hits="1" number="95"/>
						<line hits="1" number="98"/>
						<line hits="1" number="99"/>
						<line hits="1" number="100"/>
						<line branch="true" condition-coverage="100% (2/2)" hits="1" number="101"/>
						<line hits="1" number="102"/>
						<line hits="1" number="104"/>
						<line branch="true" condition-coverage="100% (2/2)" hits="1" number="105"/>
						<line hits="1" number="106"/>
						<line branch="true" condition-coverage="100% (2/2)" hits="1" number="107"/>
						<line hits="1" number="108"/>
						<line hits="1" number="109"/>
						<line hits="1" number="112"/>
						<line hits="1" number="113"/>
						<line hits="1" number="114"/>
						<line hits="1" number="117"/>
						<line hits="1" number="134"/>
						<line hits="1" number="135"/>
						<line branch="true" condition-coverage="100% (2/2)" hits="1" number="136"/>
						<line hits="1" number="137"/>
						<line hits="1" number="139"/>
						<line hits="1" number="140"/>
						<line hits="1" number="141"/>
						<line hits="1" number="142"/>
						<line hits="1" number="144"/>
						<line hits="1" number="145"/>
						<line hits="1" number="146"/>
						<line branch="true" condition-coverage="50% (1/2)" hits="1" missing-branches="149" number="147"/>
						<line hits="1" number="148"/>
						<line hits="1" number="149"/>
						<line hits="1" number="152"/>
						<line hits="1" number="168"/>
						<line hits="1" number="169"/>
						<line branch="true" condition-coverage="100% (2/2)" hits="1" number="170"/>
						<line hits="1" number="171"/>
						<line hits="1" number="173"/>
						<line hits="1" number="174"/>
						<line hits="1" number="175"/>
						<line hits="1" number="176"/>
						<line hits="1" number="178"/>
						<line hits="1" number="179"/>
						<line branch="true" condition-coverage="50% (1/2)" hits="1" missing-branches="182" number="180"/>
						<line hits="1" number="181"/>
						<line hits="1" number="182"/>
						<line hits="1" number="185"/>
						<line hits="1" number="200"/>
						<line branch="true" condition-coverage="100% (2/2)" hits="1" number="201"/>
						<line branch="true" condition-coverage="100% (2/2)" hits="1" number="202"/>
						<line hits="1" number="203"/>
						<line hits="1" number="205"/>
						<line hits="1" number="206"/>
						<line hits="1" number="209"/>
						<line branch="true" condition-coverage="100% (2/2)" hits="1" number="216"/>
						<line hits="1" number="217"/>
						<line hits="1" number="219"/>
					</lines>
				</class>
				<class branch-rate="1" complexity="0" filename="/user_data/data/dirk/prj/unittest/stringtools/pylibs/stringtools/csp.py" line-rate="1" name="csp.py">
					<methods/>
					<lines>
						<line hits="1" number="4"/>
						<line hits="1" number="22"/>
						<line hits="1" number="24"/>
						<line hits="1" number="25"/>
						<line hits="1" number="27"/>
						<line hits="1" number="28"/>
						<line hits="1" number="29"/>
						<line hits="1" number="30"/>
						<line hits="1" number="31"/>
						<line hits="1" number="33"/>
						<line hits="1" number="36"/>
						<line hits="1" number="47"/>
						<line hits="1" number="49"/>
						<line hits="1" number="50"/>
						<line hits="1" number="51"/>
						<line hits="1" number="53"/>
						<line branch="true" condition-coverage="100% (2/2)" hits="1" number="61"/>
						<line branch="true" condition-coverage="100% (2/2)" hits="1" number="62"/>
						<line hits="1" number="63"/>
						<line hits="1" number="65"/>
						<line hits="1" number="66"/>
						<line branch="true" condition-coverage="100% (2/2)" hits="1" number="67"/>
						<line hits="1" number="68"/>
						<line branch="true" condition-coverage="100% (2/2)" hits="1" number="69"/>
						<line hits="1" number="70"/>
						<line hits="1" number="71"/>
						<line hits="1" number="74"/>
						<line branch="true" condition-coverage="100% (2/2)" hits="1" number="89"/>
						<line hits="1" number="90"/>
						<line hits="1" number="92"/>
					</lines>
				</class>
				<class branch-rate="1" complexity="0" filename="/user_data/data/dirk/prj/unittest/stringtools/pylibs/stringtools/stp.py" line-rate="1" name="stp.py">
					<methods/>
					<lines>
						<line hits="1" number="4"/>
						<line hits="1" number="22"/>
						<line hits="1" number="24"/>
						<line hits="1" number="25"/>
						<line hits="1" number="27"/>
						<line hits="1" number="28"/>
						<line hits="1" number="29"/>
						<line hits="1" number="30"/>
						<line hits="1" number="31"/>
						<line hits="1" number="33"/>
						<line hits="1" number="35"/>
						<line hits="1" number="37"/>
						<line hits="1" number="39"/>
						<line hits="1" number="42"/>
						<line hits="1" number="44"/>
						<line hits="1" number="46"/>
						<line hits="1" number="48"/>
						<line hits="1" number="52"/>
						<line hits="1" number="63"/>
						<line hits="1" number="65"/>
						<line hits="1" number="66"/>
						<line hits="1" number="67"/>
						<line hits="1" number="68"/>
						<line hits="1" number="70"/>
						<line branch="true" condition-coverage="100% (2/2)" hits="1" number="71"/>
						<line hits="1" number="72"/>
						<line hits="1" number="73"/>
						<line hits="1" number="75"/>
						<line branch="true" condition-coverage="100% (2/2)" hits="1" number="83"/>
						<line hits="1" number="84"/>
						<line branch="true" condition-coverage="100% (2/2)" hits="1" number="85"/>
						<line branch="true" condition-coverage="100% (2/2)" hits="1" number="86"/>
						<line hits="1" number="87"/>
						<line hits="1" number="89"/>
						<line branch="true" condition-coverage="100% (2/2)" hits="1" number="91"/>
						<line branch="true" condition-coverage="100% (2/2)" hits="1" number="92"/>
						<line hits="1" number="93"/>
						<line hits="1" number="95"/>
						<line hits="1" number="96"/>
						<line branch="true" condition-coverage="100% (2/2)" hits="1" number="98"/>
						<line branch="true" condition-coverage="100% (2/2)" hits="1" number="99"/>
						<line hits="1" number="100"/>
						<line hits="1" number="101"/>
						<line hits="1" number="103"/>
						<line branch="true" condition-coverage="100% (2/2)" hits="1" number="104"/>
						<line branch="true" condition-coverage="100% (2/2)" hits="1" number="105"/>
						<line hits="1" number="106"/>
						<line hits="1" number="107"/>
						<line hits="1" number="108"/>
						<line branch="true" condition-coverage="100% (2/2)" hits="1" number="109"/>
						<line hits="1" number="110"/>
						<line hits="1" number="111"/>
						<line hits="1" number="113"/>
						<line branch="true" condition-coverage="100% (2/2)" hits="1" number="114"/>
						<line branch="true" condition-coverage="100% (2/2)" hits="1" number="115"/>
						<line hits="1" number="116"/>
						<line hits="1" number="117"/>
						<line hits="1" number="119"/>
						<line branch="true" condition-coverage="100% (2/2)" hits="1" number="120"/>
						<line branch="true" condition-coverage="100% (2/2)" hits="1" number="121"/>
						<line hits="1" number="122"/>
						<line hits="1" number="123"/>
						<line hits="1" number="124"/>
						<line branch="true" condition-coverage="100% (2/2)" hits="1" number="125"/>
						<line hits="1" number="126"/>
						<line hits="1" number="127"/>
						<line hits="1" number="128"/>
						<line hits="1" number="129"/>
						<line branch="true" condition-coverage="100% (2/2)" hits="1" number="130"/>
						<line hits="1" number="131"/>
						<line hits="1" number="132"/>
						<line hits="1" number="133"/>
						<line branch="true" condition-coverage="100% (2/2)" hits="1" number="134"/>
						<line hits="1" number="135"/>
						<line hits="1" number="136"/>
						<line hits="1" number="137"/>
						<line hits="1" number="139"/>
						<line hits="1" number="140"/>
						<line hits="1" number="141"/>
						<line hits="1" number="143"/>
						<line hits="1" number="144"/>
						<line hits="1" number="145"/>
						<line hits="1" number="146"/>
						<line branch="true" condition-coverage="100% (2/2)" hits="1" number="147"/>
						<line hits="1" number="148"/>
						<line hits="1" number="149"/>
						<line hits="1" number="152"/>
						<line hits="1" number="167"/>
						<line branch="true" condition-coverage="100% (2/2)" hits="1" number="169"/>
						<line branch="true" condition-coverage="100% (2/2)" hits="1" number="170"/>
						<line hits="1" number="171"/>
						<line branch="true" condition-coverage="100% (2/2)" hits="1" number="172"/>
						<line hits="1" number="173"/>
						<line hits="1" number="175"/>
						<line hits="1" number="177"/>
						<line hits="1" number="178"/>
					</lines>
				</class>
			</classes>
		</package>
	</packages>
</coverage>
